#### D.14.1.16 arrCone

Procedure from library `arr.lib` (see arr_lib).

Usage:
  arrCone(A);
  arrCone(A, ring_variable); arr A arrangement in variables x_1...x_n;

Return:
  arr, the coned hyperplane Arrangement cA with respect to the given ring_variable, or the last ring_variable if none was given.

Note:
  The hyperplanes are homogenized w.r.t. v and a new hyperplane H = ker(x_n+1) is added.

Example:

    LIB "arr.lib";
    ring R = 0,(x,y,z),dp;
    arr  A = ideal(x+1, x,x-2,x-1);
    arrCone(A, y);
    ==> _[1]=x+y
    ==> _[2]=x
    ==> _[3]=x-2y
    ==> _[4]=x-y
    ==> _[5]=y
    ==>
    arr B= ideal(x,y,x+y-1);
    arrCone(B);
    ==> _[1]=x
    ==> _[2]=y
    ==> _[3]=x+y-z
    ==> _[4]=z
    ==>

See also: arrCone; arrDecone; arrEssentialize; arrIsEssential; arrRestrict.

User manual for Singular version 4.4.1, 2025, generated by texi2html.